PamCut: TrkRigRangeCut Class Reference

# TrkRigRangeCut Class Reference

The rigidity range cut. This cut discards all the events whose rigidity is less than the minimum threshold or greater than the maximum threshold. Here rigidity is defined as p/Z (GV) where Z is the particle charge (WITH SIGN) and p the momentum modulus: therefore rigidity can be positive or negative. More...

`#include <TrkRigRangeCut.h>`

Inheritance diagram for TrkRigRangeCut:

List of all members.

## Public Member Functions
| TrkRigRangeCut (const char *cutName, float minRigidity, float maxRigidity)
| Constructor.
| ~TrkRigRangeCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The rigidity check.
## Private Attributes
float | _minRigidity
float | _maxRigidity

## Detailed Description

The rigidity range cut. This cut discards all the events whose rigidity is less than the minimum threshold or greater than the maximum threshold. Here rigidity is defined as p/Z (GV) where Z is the particle charge (WITH SIGN) and p the momentum modulus: therefore rigidity can be positive or negative.

Definition at line 19 of file TrkRigRangeCut.h.

## Constructor & Destructor Documentation

TrkRigRangeCut::TrkRigRangeCut | ( | const char * | cutName,
|  | float | minRigidity,
|  | float | maxRigidity |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.
  | minRigidity | The minimum rigidity p/Z (in GV) below which an event will be discarded. Can be positive or negative.
  | maxRigidity | The maximum rigidity p/Z (in GV) above which an event will be discarded. Can be positive or negative.

Definition at line 30 of file TrkRigRangeCut.h.

TrkRigRangeCut::~TrkRigRangeCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 34 of file TrkRigRangeCut.h.

## Member Function Documentation

int TrkRigRangeCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The rigidity check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the rigidity is outside the range

  0 otherwise.

Implements PamCut.

Definition at line 12 of file TrkRigRangeCut.cpp.

References _maxRigidity, and CUTOK.

## Member Data Documentation

float TrkRigRangeCut::_maxRigidity`[private]`

Definition at line 48 of file TrkRigRangeCut.h.

Referenced by Check().

float TrkRigRangeCut::_minRigidity`[private]`

Definition at line 47 of file TrkRigRangeCut.h.

The documentation for this class was generated from the following files:

- TrkCuts/TrkRigRangeCut/TrkRigRangeCut.h
- TrkCuts/TrkRigRangeCut/TrkRigRangeCut.cpp